# KDE tags expanded automatically by am_edit - $Revision: 1.314 $ 
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# subdirs

SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AS = @AS@
AUTODIRS = @AUTODIRS@
AWK = @AWK@
CC = @CC@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CXX = @CXX@
CXXCPP = @CXXCPP@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
EXEEXT = @EXEEXT@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
IDL = @IDL@
IDL_DEPENDENCIES = @IDL_DEPENDENCIES@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JAR = @JAR@
JAVAC = @JAVAC@
JAVAH = @JAVAH@
JVMLIBS = @JVMLIBS@
KDECONFIG = @KDECONFIG@
KDE_CXXFLAGS = @KDE_CXXFLAGS@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
LEX = @LEX@
LEXLIB = @LEXLIB@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBGEN = @LIBGEN@
LIBJPEG = @LIBJPEG@
LIBMICO = @LIBMICO@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBRESOLV = @LIBRESOLV@
LIBSHADOW = @LIBSHADOW@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBXINERAMA = @LIBXINERAMA@
LIBZ = @LIBZ@
LIB_DEVSTAT = @LIB_DEVSTAT@
LIB_KAB = @LIB_KAB@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_QTOPIA = @LIB_QTOPIA@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LN_S = @LN_S@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PAMLIBS = @PAMLIBS@
PASSWDLIBS = @PASSWDLIBS@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
PYTHONMODDIR = @PYTHONMODDIR@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QTOPIA_INCLUDES = @QTOPIA_INCLUDES@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SETUIDFLAGS = @SETUIDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__include = @am__include@
am__quote = @am__quote@
idldir = @idldir@
install_sh = @install_sh@
jni_includes = @jni_includes@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
micodir = @micodir@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
x_includes = @x_includes@
x_libraries = @x_libraries@
datadir = $(kde_appsdir)/Settings/CDBakeOven

SUBDIRS = info

kde_module_LTLIBRARIES = libkcm_cdbosettings.la

INCLUDES = $(all_includes)

#>- libkcm_cdbosettings_la_METASOURCES = AUTO

libkcm_cdbosettings_la_SOURCES = CdboAudioOpt.cpp CdboAudioOptBase.cpp CdboConfigManager.cpp CdboInfo.cpp CdboIsoOptBase.cpp CdboIsoOpt.cpp CdboDefaultOptBase.cpp CdboDefaultOpt.cpp CdboCdromDevicesBase.cpp CdboCdromDevices.cpp CdboBurnOptBase.cpp CdboBurnOpt.cpp CommandOutputDialog.cpp

libkcm_cdbosettings_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KFILE) $(LIB_KHTML)
libkcm_cdbosettings_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)

EXTRA_DIST = CdboAudioOpt.h CdboAudioOpt.cpp CdboAudioOptBase.h CdboAudioOptBase.cpp CdboConfigManager.cpp CdboConfigManager.h CdboInfo.cpp CdboInfo.h CdboIsoOptBase.cpp CdboIsoOptBase.h CdboIsoOpt.cpp CdboIsoOpt.h CdboDefaultOptBase.cpp CdboDefaultOptBase.h CdboDefaultOpt.cpp CdboDefaultOpt.h CdboCdromDevicesBase.cpp CdboCdromDevicesBase.h CdboCdromDevices.cpp CdboCdromDevices.h CdboCdromDevices.cpp CdboCdromDevices.h CdboBurnOptBase.cpp CdboBurnOptBase.h CdboBurnOpt.cpp CdboBurnOpt.h CommandOutputDialog.cpp CommandOutputDialog.h

KDE_ICON = cdrom_unmount

data_DATA = cdbocdromdevices.desktop cdboburnopt.desktop cdboinfo.desktop cdboaudioopt.desktop cdboisoopt.desktop cdbodefaultopt.desktop
subdir = cdbakeoven/cdbosettings
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(kde_module_LTLIBRARIES)

libkcm_cdbosettings_la_DEPENDENCIES =
am_libkcm_cdbosettings_la_OBJECTS = CdboAudioOpt.lo CdboAudioOptBase.lo \
	CdboConfigManager.lo CdboInfo.lo CdboIsoOptBase.lo \
	CdboIsoOpt.lo CdboDefaultOptBase.lo CdboDefaultOpt.lo \
	CdboCdromDevicesBase.lo CdboCdromDevices.lo CdboBurnOptBase.lo \
	CdboBurnOpt.lo CommandOutputDialog.lo
#>- libkcm_cdbosettings_la_OBJECTS = $(am_libkcm_cdbosettings_la_OBJECTS)
#>+ 9
libkcm_cdbosettings_la_final_OBJECTS = libkcm_cdbosettings_la.all_cpp.lo 
libkcm_cdbosettings_la_nofinal_OBJECTS = CdboAudioOpt.lo CdboAudioOptBase.lo \
	CdboConfigManager.lo CdboInfo.lo CdboIsoOptBase.lo \
	CdboIsoOpt.lo CdboDefaultOptBase.lo CdboDefaultOpt.lo \
	CdboCdromDevicesBase.lo CdboCdromDevices.lo CdboBurnOptBase.lo \
	CdboBurnOpt.lo CommandOutputDialog.lo \
	libkcm_cdbosettings_la_meta_unload.lo 
@KDE_USE_FINAL_FALSE@libkcm_cdbosettings_la_OBJECTS = $(libkcm_cdbosettings_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libkcm_cdbosettings_la_OBJECTS = $(libkcm_cdbosettings_la_final_OBJECTS)

DEFS = @DEFS@
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
@AMDEP_TRUE@DEP_FILES = $(DEPDIR)/CdboAudioOpt.Plo \
	@AMDEP_TRUE@	$(DEPDIR)/CdboAudioOptBase.Plo \
	@AMDEP_TRUE@	$(DEPDIR)/CdboBurnOpt.Plo \
	@AMDEP_TRUE@	$(DEPDIR)/CdboBurnOptBase.Plo \
	@AMDEP_TRUE@	$(DEPDIR)/CdboCdromDevices.Plo \
	@AMDEP_TRUE@	$(DEPDIR)/CdboCdromDevicesBase.Plo \
	@AMDEP_TRUE@	$(DEPDIR)/CdboConfigManager.Plo \
	@AMDEP_TRUE@	$(DEPDIR)/CdboDefaultOpt.Plo \
	@AMDEP_TRUE@	$(DEPDIR)/CdboDefaultOptBase.Plo \
	@AMDEP_TRUE@	$(DEPDIR)/CdboInfo.Plo $(DEPDIR)/CdboIsoOpt.Plo \
	@AMDEP_TRUE@	$(DEPDIR)/CdboIsoOptBase.Plo \
	@AMDEP_TRUE@	$(DEPDIR)/CommandOutputDialog.Plo
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- $(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXFLAGS = @CXXFLAGS@
DIST_SOURCES = $(libkcm_cdbosettings_la_SOURCES)
DATA = $(data_DATA)


RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
	uninstall-info-recursive all-recursive install-data-recursive \
	install-exec-recursive installdirs-recursive install-recursive \
	uninstall-recursive check-recursive installcheck-recursive
DIST_COMMON = Makefile.am Makefile.in
DIST_SUBDIRS = $(SUBDIRS)
SOURCES = $(libkcm_cdbosettings_la_SOURCES)

#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- $(AUTOMAKE) --gnu  cdbakeoven/cdbosettings/Makefile
#>+ 3
	cd $(top_srcdir) && \
	$(AUTOMAKE) --gnu  cdbakeoven/cdbosettings/Makefile
	cd $(top_srcdir) && perl admin/am_edit cdbakeoven/cdbosettings/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	CONFIG_HEADERS= CONFIG_LINKS= \
	CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status
install-kde_moduleLTLIBRARIES: $(kde_module_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(kde_moduledir)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	if test -f $$p; then \
	echo " $(LIBTOOL) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(kde_moduledir)/$$p"; \
	$(LIBTOOL) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(kde_moduledir)/$$p; \
	else :; fi; \
	done

uninstall-kde_moduleLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(kde_moduledir)/$$p"; \
	$(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(kde_moduledir)/$$p; \
	done

clean-kde_moduleLTLIBRARIES:
	-test -z "$(kde_module_LTLIBRARIES)" || rm -f $(kde_module_LTLIBRARIES)
#>- libkcm_cdbosettings.la: $(libkcm_cdbosettings_la_OBJECTS) $(libkcm_cdbosettings_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@libkcm_cdbosettings.la: libkcm_cdbosettings.la.closure $(libkcm_cdbosettings_la_OBJECTS) $(libkcm_cdbosettings_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@libkcm_cdbosettings.la: $(libkcm_cdbosettings_la_OBJECTS) $(libkcm_cdbosettings_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(kde_moduledir) $(libkcm_cdbosettings_la_LDFLAGS) $(libkcm_cdbosettings_la_OBJECTS) $(libkcm_cdbosettings_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboAudioOpt.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboAudioOptBase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboBurnOpt.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboBurnOptBase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboCdromDevices.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboCdromDevicesBase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboConfigManager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboDefaultOpt.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboDefaultOptBase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboInfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboIsoOpt.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CdboIsoOptBase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/CommandOutputDialog.Plo@am__quote@

distclean-depend:
	-rm -rf $(DEPDIR)

.cpp.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CXXCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<

.cpp.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CXXCOMPILE) -c -o $@ `cygpath -w $<`

.cpp.lo:
@AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LTCXXCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<
CXXDEPMODE = @CXXDEPMODE@
uninstall-info-am:
install-dataDATA: $(data_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@list='$(data_DATA)'; for p in $$list; do \
	if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	f="`echo $$p | sed -e 's|^.*/||'`"; \
	echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(datadir)/$$f"; \
	$(INSTALL_DATA) $$d$$p $(DESTDIR)$(datadir)/$$f; \
	done

uninstall-dataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(data_DATA)'; for p in $$list; do \
	f="`echo $$p | sed -e 's|^.*/||'`"; \
	echo " rm -f $(DESTDIR)$(datadir)/$$f"; \
	rm -f $(DESTDIR)$(datadir)/$$f; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	echo "Making $$target in $$subdir"; \
	if test "$$subdir" = "."; then \
	dot_seen=yes; \
	local_target="$$target-am"; \
	else \
	local_target="$$target"; \
	fi; \
	(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	|| case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	$(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
	maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	*) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	if test "$$subdir" = "."; then :; else \
	rev="$$subdir $$rev"; \
	fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	echo "Making $$target in $$subdir"; \
	if test "$$subdir" = "."; then \
	local_target="$$target-am"; \
	else \
	local_target="$$target"; \
	fi; \
	(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	|| case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	done | \
	$(AWK) '    { files[$$0] = 1; } \
	END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
	$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	if test "$$subdir" = .; then :; else \
	test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	fi; \
	done; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	done | \
	$(AWK) '    { files[$$0] = 1; } \
	END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	|| etags $(ETAGS_ARGS) $$tags  $$unique $(LISP)

GTAGS:
	here=`CDPATH=: && cd $(top_builddir) && pwd` \
	&& cd $(top_srcdir) \
	&& gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH

#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=libkcm_cdbosettings.la.closure CdboDefaultOptBase.ui CdboCdromDevicesBase.ui cdboisoopt.desktop CdboBurnOptBase.ui CdboIsoOptBase.ui cdboburnopt.desktop cdboinfo.desktop directory.desktop CdboAudioOptBase.ui cdboaudioopt.desktop cdbodefaultopt.desktop cdbocdromdevices.desktop 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	if test -f $$file; then d=.; else d=$(srcdir); fi; \
	dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	$(mkinstalldirs) "$(distdir)/$$dir"; \
	fi; \
	if test -d $$d/$$file; then \
	cp -pR $$d/$$file $(distdir) \
	|| exit 1; \
	else \
	test -f $(distdir)/$$file \
	|| cp -p $$d/$$file $(distdir)/$$file \
	|| exit 1; \
	fi; \
	done
	for subdir in $(SUBDIRS); do \
	if test "$$subdir" = .; then :; else \
	test -d $(distdir)/$$subdir \
	|| mkdir $(distdir)/$$subdir \
	|| exit 1; \
	(cd $$subdir && \
	$(MAKE) $(AM_MAKEFLAGS) \
	top_distdir="$(top_distdir)" \
	distdir=../$(distdir)/$$subdir \
	distdir) \
	|| exit 1; \
	fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(LTLIBRARIES) $(DATA)
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(kde_moduledir) $(DESTDIR)$(datadir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	`test -z '$(STRIP)' || \
	echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-generic clean-kde_moduleLTLIBRARIES clean-libtool \
#>- mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-closures clean-moc-classes clean-final  clean-generic clean-kde_moduleLTLIBRARIES clean-libtool \
	mostlyclean-am

distclean: distclean-recursive

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am: install-data-local install-dataDATA \
	install-kde_moduleLTLIBRARIES

#>- install-exec-am:
#>+ 1
install-exec-am: install-kde_moduleLTLIBRARIES 

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

uninstall-am: uninstall-dataDATA uninstall-info-am \
	uninstall-kde_moduleLTLIBRARIES

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
	clean-generic clean-kde_moduleLTLIBRARIES clean-libtool \
	clean-recursive distclean distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-recursive \
	distclean-tags distdir dvi dvi-am dvi-recursive info info-am \
	info-recursive install install-am install-data install-data-am \
	install-data-local install-data-recursive install-dataDATA \
	install-exec install-exec-am install-exec-recursive \
	install-info install-info-am install-info-recursive \
	install-kde_moduleLTLIBRARIES install-man install-recursive \
	install-strip installcheck installcheck-am installdirs \
	installdirs-am installdirs-recursive maintainer-clean \
	maintainer-clean-generic maintainer-clean-recursive mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	mostlyclean-recursive tags tags-recursive uninstall \
	uninstall-am uninstall-dataDATA uninstall-info-am \
	uninstall-info-recursive uninstall-kde_moduleLTLIBRARIES \
	uninstall-recursive


install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/CDBakeOven
	$(INSTALL_DATA) $(srcdir)/directory.desktop $(DESTDIR)$(kde_appsdir)/Settings/CDBakeOven/.directory
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 8
libkcm_cdbosettings.la.closure: $(libkcm_cdbosettings_la_OBJECTS) $(libkcm_cdbosettings_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > libkcm_cdbosettings_la_closure.cpp
	@$(LTCXXCOMPILE) -c libkcm_cdbosettings_la_closure.cpp
	$(CXXLINK) libkcm_cdbosettings_la_closure.lo $(libkcm_cdbosettings_la_LDFLAGS) $(libkcm_cdbosettings_la_OBJECTS) $(libkcm_cdbosettings_la_LIBADD) $(LIBS)
	@rm -f libkcm_cdbosettings_la_closure.* libkcm_cdbosettings.la.closure
	@echo "timestamp" > libkcm_cdbosettings.la.closure


#>+ 3
CdboCdromDevices.moc: $(srcdir)/CdboCdromDevices.h
	$(MOC) $(srcdir)/CdboCdromDevices.h -o CdboCdromDevices.moc

#>+ 3
CommandOutputDialog.moc: $(srcdir)/CommandOutputDialog.h
	$(MOC) $(srcdir)/CommandOutputDialog.h -o CommandOutputDialog.moc

#>+ 3
CdboAudioOptBase.moc: $(srcdir)/CdboAudioOptBase.h
	$(MOC) $(srcdir)/CdboAudioOptBase.h -o CdboAudioOptBase.moc

#>+ 3
CdboCdromDevicesBase.moc: $(srcdir)/CdboCdromDevicesBase.h
	$(MOC) $(srcdir)/CdboCdromDevicesBase.h -o CdboCdromDevicesBase.moc

#>+ 3
CdboBurnOpt.moc: $(srcdir)/CdboBurnOpt.h
	$(MOC) $(srcdir)/CdboBurnOpt.h -o CdboBurnOpt.moc

#>+ 3
CdboIsoOptBase.moc: $(srcdir)/CdboIsoOptBase.h
	$(MOC) $(srcdir)/CdboIsoOptBase.h -o CdboIsoOptBase.moc

#>+ 3
CdboIsoOpt.moc: $(srcdir)/CdboIsoOpt.h
	$(MOC) $(srcdir)/CdboIsoOpt.h -o CdboIsoOpt.moc

#>+ 3
CdboInfo.moc: $(srcdir)/CdboInfo.h
	$(MOC) $(srcdir)/CdboInfo.h -o CdboInfo.moc

#>+ 3
CdboAudioOpt.moc: $(srcdir)/CdboAudioOpt.h
	$(MOC) $(srcdir)/CdboAudioOpt.h -o CdboAudioOpt.moc

#>+ 3
CdboConfigManager.moc: $(srcdir)/CdboConfigManager.h
	$(MOC) $(srcdir)/CdboConfigManager.h -o CdboConfigManager.moc

#>+ 3
CdboDefaultOpt.moc: $(srcdir)/CdboDefaultOpt.h
	$(MOC) $(srcdir)/CdboDefaultOpt.h -o CdboDefaultOpt.moc

#>+ 3
CdboBurnOptBase.moc: $(srcdir)/CdboBurnOptBase.h
	$(MOC) $(srcdir)/CdboBurnOptBase.h -o CdboBurnOptBase.moc

#>+ 3
CdboDefaultOptBase.moc: $(srcdir)/CdboDefaultOptBase.h
	$(MOC) $(srcdir)/CdboDefaultOptBase.h -o CdboDefaultOptBase.moc

#>+ 3
clean-metasources:
	-rm -f  CdboCdromDevices.moc CommandOutputDialog.moc CdboAudioOptBase.moc CdboCdromDevicesBase.moc CdboBurnOpt.moc CdboIsoOptBase.moc CdboIsoOpt.moc CdboInfo.moc CdboAudioOpt.moc CdboConfigManager.moc CdboDefaultOpt.moc CdboBurnOptBase.moc CdboDefaultOptBase.moc

#>+ 3
clean-closures:
	-rm -f  libkcm_cdbosettings.la.closure

#>+ 2
docs-am:

#>+ 2
apidox-am:

#>+ 9
apidox: apidox-am
	@set fnord $(MAKEFLAGS); amf=$$2; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
		echo "Making apidox in $$subdir"; \
		if test "$$subdir" != "."; then \
			(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) apidox) || exit 1; \
		fi ;\
	done

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	$(AUTOMAKE) --gnu  cdbakeoven/cdbosettings/Makefile
	cd $(top_srcdir) && perl admin/am_edit cdbakeoven/cdbosettings/Makefile.in


#>+ 12
libkcm_cdbosettings_la_meta_unload.cpp:  CommandOutputDialog.moc CdboCdromDevices.moc CdboAudioOptBase.moc CdboCdromDevicesBase.moc CdboBurnOpt.moc CdboIsoOptBase.moc CdboIsoOpt.moc CdboInfo.moc CdboAudioOpt.moc CdboConfigManager.moc CdboDefaultOpt.moc CdboBurnOptBase.moc CdboDefaultOptBase.moc
	@echo 'creating libkcm_cdbosettings_la_meta_unload.cpp'
	@-rm -f libkcm_cdbosettings_la_meta_unload.cpp
	@if test ${kde_qtver} = 2; then \
		echo 'static const char * _metalist_libkcm_cdbosettings_la[] = {' > libkcm_cdbosettings_la_meta_unload.cpp ;\
		cat  CommandOutputDialog.moc CdboCdromDevices.moc CdboAudioOptBase.moc CdboCdromDevicesBase.moc CdboBurnOpt.moc CdboIsoOptBase.moc CdboIsoOpt.moc CdboInfo.moc CdboAudioOpt.moc CdboConfigManager.moc CdboDefaultOpt.moc CdboBurnOptBase.moc CdboDefaultOptBase.moc | grep 'char.*className' | sed -e 's/.*[^A-Za-z0-9_:]\([A-Za-z0-9_:]*\)::className.*$$/\"\1\",/' | sort | uniq >> libkcm_cdbosettings_la_meta_unload.cpp ;\
		echo '0};' >> libkcm_cdbosettings_la_meta_unload.cpp ;\
		echo '#include <kunload.h>' >> libkcm_cdbosettings_la_meta_unload.cpp ;\
		echo '_UNLOAD(libkcm_cdbosettings_la)' >> libkcm_cdbosettings_la_meta_unload.cpp ;\
	else echo > libkcm_cdbosettings_la_meta_unload.cpp; fi


#>+ 3
clean-moc-classes:
	-rm -f  libkcm_cdbosettings_la_meta_unload.cpp

#>+ 11
libkcm_cdbosettings_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/CdboAudioOpt.cpp $(srcdir)/CdboAudioOptBase.cpp $(srcdir)/CdboConfigManager.cpp $(srcdir)/CdboInfo.cpp $(srcdir)/CdboIsoOptBase.cpp $(srcdir)/CdboIsoOpt.cpp $(srcdir)/CdboDefaultOptBase.cpp $(srcdir)/CdboDefaultOpt.cpp $(srcdir)/CdboCdromDevicesBase.cpp $(srcdir)/CdboCdromDevices.cpp $(srcdir)/CdboBurnOptBase.cpp $(srcdir)/CdboBurnOpt.cpp $(srcdir)/CommandOutputDialog.cpp $(srcdir)/libkcm_cdbosettings_la_meta_unload.cpp   CdboCdromDevices.moc CommandOutputDialog.moc CdboAudioOptBase.moc CdboCdromDevicesBase.moc CdboBurnOpt.moc CdboIsoOptBase.moc CdboIsoOpt.moc CdboInfo.moc CdboAudioOpt.moc CdboConfigManager.moc CdboDefaultOpt.moc CdboBurnOptBase.moc CdboDefaultOptBase.moc 
	@echo 'creating libkcm_cdbosettings_la.all_cpp.cpp ...'; \
	rm -f libkcm_cdbosettings_la.all_cpp.files libkcm_cdbosettings_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libkcm_cdbosettings_la.all_cpp.final; \
	for file in CdboAudioOpt.cpp CdboAudioOptBase.cpp CdboConfigManager.cpp CdboInfo.cpp CdboIsoOptBase.cpp CdboIsoOpt.cpp CdboDefaultOptBase.cpp CdboDefaultOpt.cpp CdboCdromDevicesBase.cpp CdboCdromDevices.cpp CdboBurnOptBase.cpp CdboBurnOpt.cpp CommandOutputDialog.cpp libkcm_cdbosettings_la_meta_unload.cpp ; do \
	  echo "#include \"$$file\"" >> libkcm_cdbosettings_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkcm_cdbosettings_la.all_cpp.final; \
	done; \
	cat libkcm_cdbosettings_la.all_cpp.final libkcm_cdbosettings_la.all_cpp.files  > libkcm_cdbosettings_la.all_cpp.cpp; \
	rm -f libkcm_cdbosettings_la.all_cpp.final libkcm_cdbosettings_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f libkcm_cdbosettings_la.all_cpp.cpp

#>+ 2
final:
	$(MAKE) libkcm_cdbosettings_la_OBJECTS="$(libkcm_cdbosettings_la_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) libkcm_cdbosettings_la_OBJECTS="$(libkcm_cdbosettings_la_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) libkcm_cdbosettings_la_OBJECTS="$(libkcm_cdbosettings_la_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) libkcm_cdbosettings_la_OBJECTS="$(libkcm_cdbosettings_la_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 14
$(srcdir)/CdboDefaultOpt.cpp: CdboDefaultOpt.moc 
$(srcdir)/CommandOutputDialog.cpp: CommandOutputDialog.moc 
$(srcdir)/CdboIsoOptBase.cpp: CdboIsoOptBase.moc 
$(srcdir)/CdboAudioOpt.cpp: CdboAudioOpt.moc 
$(srcdir)/CdboCdromDevicesBase.cpp: CdboCdromDevicesBase.moc 
$(srcdir)/CdboConfigManager.cpp: CdboConfigManager.moc 
$(srcdir)/CdboIsoOpt.cpp: CdboIsoOpt.moc 
$(srcdir)/CdboCdromDevices.cpp: CdboCdromDevices.moc 
$(srcdir)/CdboDefaultOptBase.cpp: CdboDefaultOptBase.moc 
$(srcdir)/CdboAudioOptBase.cpp: CdboAudioOptBase.moc 
$(srcdir)/CdboInfo.cpp: CdboInfo.moc 
$(srcdir)/CdboBurnOpt.cpp: CdboBurnOpt.moc 
$(srcdir)/CdboBurnOptBase.cpp: CdboBurnOptBase.moc 
